AUDITDISTD(8)

NAME
auditdistd - Audit trail files distribution daemon

SYNOPSIS
auditdistd [-dFhl] [-c config] [-P pidfile]

DESCRIPTION
The auditdistd daemon is responsible for distributing audit trail files over a TCP/IP network in a secure and reliable way.

The auditdistd daemon can be started with the following command line arguments:

-c config
    Specify an alternative location of the configuration file. The default location is /etc/security/auditdistd.conf. Note: the configuration file may contain passwords. Care should be taken to configure proper permissions on this file (eg. 0600).

-d  Print or log debugging information. This option can be specified multiple times to raise the verbosity level.

-F  Start the auditdistd daemon in the foreground. By default auditdistd starts in the background.

-h  Print the auditdistd usage message.

-l  Start in a launchd-friendly mode, ie. do not use daemon(3).

-P pidfile
    Specify an alternative location of a file where main process PID will be stored. The default location is /var/run/auditdistd.pid.

FILES
/etc/security/auditdistd.conf
    The configuration file for auditdistd.
/var/run/auditdistd.pid
    The default location of the auditdistd PID file.

EXIT STATUS
Exit status is 0 on success, or one of the values described in sysexits(3) on failure.

SEE ALSO
sysexits(3), audit(4), auditdistd.conf(5), auditd(8)

AUTHORS
The auditdistd was developed by Pawel Jakub Dawidek <pawel@dawidek.net> under sponsorship of the FreeBSD Foundation.